<template>
  <div class="activation">
    <h1>Reset Password</h1>
    <div class="message">
      {{message}}
    </div>
  </div>
</template>
<script>
// @ is an alias to /src
import call from '@/services/callService';
import {mapMutations} from 'vuex';

export default {
  name: 'activation',
  data() {
    return {
      message: ''
    }
  },
  methods: {
    ...mapMutations(['UPDATE_AUTH_COMPONENT']),
    async checkResetPwdKey() {
      try {
        const result = await call.isResetPwdKeyAvailable(this.getKey);
        if (result.isAvailable) {
          this.message = `Key is Available: ${result.isAvailable}, Можно перенаправить для смены пароля`;
          this.UPDATE_AUTH_COMPONENT({name: 'CreatePass', isShown: true});
          this.$notify({
            group: 'app',
            type:'success',
            text: this.message
          });
        } else {
          this.message = `Key is Available: ${result.isAvailable}, Наверно вы попали сюда случано`;
          this.$notify({
            group: 'app',
            type:'warn',
            text: this.message
          });
        }
      } catch (err) {
        this.message = err.desc || JSON.stringify(err);
        this.$notify({
          group: 'app',
          type:'error',
          text: this.message
        });
      }
    }
  },
  computed: {
    getKey() {
      return this.$route.params.id;
    }
  },
  mounted() {
    this.checkResetPwdKey();
  }
}
</script>
<style lang="sass" scoped>

</style>
